org.bdgenomics.adam.models

# SequenceDictionary

#### object SequenceDictionary extends Serializable

SequenceDictionary contains the (bijective) map between Ints (the referenceId) and Strings (the referenceName) from the header of a BAM file, or the combined result of multiple such SequenceDictionaries.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SequenceDictionary
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(reader: SamReader): SequenceDictionary

7. #### def apply(header: SAMFileHeader): SequenceDictionary

8. #### def apply(dict: SAMSequenceDictionary): SequenceDictionary

9. #### def apply(records: SequenceRecord*): SequenceDictionary

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def empty: SequenceDictionary

    returns

      Creates a new, empty SequenceDictionary.

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def fromSAMHeader(header: SAMFileHeader): SequenceDictionary

    Extracts a SAM sequence dictionary from a SAM file header and returns an ADAM sequence dictionary.

    Extracts a SAM sequence dictionary from a SAM file header and returns an ADAM sequence dictionary.

    header

      SAM file header.

    returns

      Returns an ADAM style sequence dictionary.

    See also

      fromSAMSequenceDictionary

17. #### def fromSAMReader(samReader: SamReader): SequenceDictionary

18. #### def fromSAMSequenceDictionary(samDict: SAMSequenceDictionary): SequenceDictionary

    Converts a picard/samtools SAMSequenceDictionary into an ADAM sequence dictionary.

    Converts a picard/samtools SAMSequenceDictionary into an ADAM sequence dictionary.

    samDict

      SAM style sequence dictionary.

    returns

      Returns an ADAM style sequence dictionary.

    See also

      fromVCFHeader

      fromSAMHeader

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toSAMSequenceDictionary(dictionary: SequenceDictionary): SAMSequenceDictionary

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped